/*
	TVidin.js
	Front end for Estonian TV schedule widget
	Copyright 2006 Filipp Lepalaan
	Version 1.0 | 10.09.06
	
	Check VersionHistory for more information
*/

var req;
var frontDiv, showTable;

function loaded () 
{
	showTable = document.getElementById ('timeTable');
	getShows (widget.preferenceForKey ('channel'));
}

function doQuery (channel)
{
	req = new XMLHttpRequest ();
	req.open ('GET', 'http://www.emug.ee/tvidin/tvidin.php?c=' + channel, false);
	req.send (null);

	return req.responseXML.getElementsByTagName ('show');
}

function getShows (channel)
{
	while (showTable.rows.length > 0) showTable.deleteRow (0);
	
	shows = doQuery (channel);
	
	// Now scan thru each show element and get its time, name and description
	for (i = 0; i < shows.length; i++)
	{
		var newRow = showTable.insertRow (-1);
		if (i % 2 == 1) newRow.className = 'even';
		var timeCell = newRow.insertCell (0);
		timeCell.className = 'time';
		timeCell.innerText = shows[i].getElementsByTagName ('time').item(0).firstChild.nodeValue;
		var nameCell = newRow.insertCell (1);
		nameCell.innerText = shows[i].getElementsByTagName ('name').item(0).firstChild.nodeValue;
		
		if (shows[i].getElementsByTagName ('nowplaying').item(0) != null)
		{
			newRow.className = 'np';
			newRow.id = 'nowPlaying';
		}
		
		try {
			nameCell.title = shows[i].getElementsByTagName ('description').item(0).firstChild.nodeValue;
		} catch (e) {
			nameCell.title = 'Kirjeldus puudub';
			}
	}
	
	scrollbar 	= new AppleVerticalScrollbar (document.getElementById ('scrollBar'));
	scrollArea	= new AppleScrollArea (document.getElementById ('scrollArea'), scrollbar);
	scrollArea.scrollsHorizontally = false;
	scrollArea.singlepressScrollPixels = 25;
	scrollArea.focus(); // for key control when first loading in Safari
	
	window.onfocus	= function () { scrollArea.focus (); }
	window.onblur	= function () { scrollArea.blur (); }
	
	scrollArea.reveal (document.getElementById ('nowPlaying'));			// Good idea, but doesn't work!
	widget.setPreferenceForKey (channel, 'channel');
}
